org.apache.cassandra.cql3.statements

## Enum IndexTarget.TargetType

- java.lang.Object
- - java.lang.Enum<IndexTarget.TargetType>
  - - org.apache.cassandra.cql3.statements.IndexTarget.TargetType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IndexTarget.TargetType>

Enclosing class:
  IndexTarget

    public static enum IndexTarget.TargetType
    extends java.lang.Enum<IndexTarget.TargetType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULL`
`KEYS`
`KEYS_AND_VALUES`
`VALUES`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IndexTarget.TargetType` `fromColumnDefinition(ColumnDefinition cd)`
`java.lang.String` `indexOption()`
`java.lang.String` `toString()`
`static IndexTarget.TargetType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IndexTarget.TargetType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VALUES

    public static final IndexTarget.TargetType VALUES

#### KEYS

    public static final IndexTarget.TargetType KEYS

#### KEYS_AND_VALUES

    public static final IndexTarget.TargetType KEYS_AND_VALUES

#### FULL

    public static final IndexTarget.TargetType FULL

### Method Detail

#### values

    public static IndexTarget.TargetType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IndexTarget.TargetType c : IndexTarget.TargetType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IndexTarget.TargetType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<IndexTarget.TargetType>`

#### indexOption

    public java.lang.String indexOption()

#### fromColumnDefinition

    public static IndexTarget.TargetType fromColumnDefinition(ColumnDefinition cd)